
From: Andrew Morton <akpm@osdl.org>

security/selinux/hooks.c: In function `selinux_inode_getxattr':
security/selinux/hooks.c:2193: warning: unused variable `sbsec'

Cc: James Morris <jmorris@namei.org>
Cc: Stephen Smalley <sds@tycho.nsa.gov>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 security/selinux/hooks.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN security/selinux/hooks.c~selinux-canonicalize-getxattr-fix security/selinux/hooks.c
--- devel/security/selinux/hooks.c~selinux-canonicalize-getxattr-fix	2005-09-13 23:28:59.000000000 -0700
+++ devel-akpm/security/selinux/hooks.c	2005-09-13 23:28:59.000000000 -0700
@@ -2189,9 +2189,6 @@ static void selinux_inode_post_setxattr(
 
 static int selinux_inode_getxattr (struct dentry *dentry, char *name)
 {
-	struct inode *inode = dentry->d_inode;
-	struct superblock_security_struct *sbsec = inode->i_sb->s_security;
-
 	return dentry_has_perm(current, NULL, dentry, FILE__GETATTR);
 }
 
_
